//! A discrete event simulation of a barbershop using `simcore_rs`, the
//! simulator core developed as part of my (Dorian Weber) dissertation.
//!
//! This module models a simple barbershop scenario where customers arrive at
//! random intervals, wait if the barber is busy, receive service, and then
//! depart. The simulation tracks customer wait times and provides statistical
//! analysis over the simulated period.
//!
//! # Notes
//! - The simulation assumes a continuous operation of the barbershop over the
//!   specified duration.
//! - Customers arriving after the shop closes are not admitted; however, the
//!   barber will finish servicing any remaining customers.

pub mod odem_rs;
pub mod odemx;
pub mod simcore_rs;
