use uom::si::{f64::Time, time};

mod ffi {
	use std::os::raw::c_double;

	#[link(name = "odemx", kind = "static")]
	extern "C" {
		pub fn barbershop(duration: c_double) -> crate::RandomVariable;
	}
}

pub fn barbershop(duration: Time) -> impl std::fmt::Debug {
	unsafe { ffi::barbershop(duration.get::<time::minute>() as _) }
}
