//! This module models the classic Dining Philosophers problem, where multiple
//! philosophers sit around a table and alternate between thinking and eating.
//! They need two forks to eat and must coordinate to avoid deadlocks. The
//! simulation tracks the time until a deadlock occurs and collects statistical
//! data over multiple runs.
//!
//! # Notes
//!
//! - The simulation detects deadlocks when all philosophers are waiting for
//!   forks and none can proceed.
//! - The statistical data collected includes the time until deadlock over
//!   multiple simulation runs.

pub mod odem_rs;
pub mod odemx;
pub mod simcore_rs;
