use odem_rs::{
	prelude::*,
	sync::channel::{Receiver, Sender},
	util::uom::*,
};
use std::collections::VecDeque;

use odem_rs_sync::channel::ArrayBuf;
use tracing::{debug, info};

const BELT_CAPACITY: usize = 20;
const TRAY_CAPACITY: usize = 5;

#[derive(Config, Default)]
struct GroceryStore {
	#[time]
	model_time: Time<f64>,
	rng_stream: RngStream,
}

struct CashRegister {
	belt: Channel<VecDeque<BeltItem>>,
	tray: Channel<VecDeque<Item>>,
	customers: Control<usize>,
}

enum BeltItem {
	Item(Item),
	Separator,
}

struct Customer {
	basket: Vec<Item>,
}

impl Customer {}

struct Cashier {
	belt_tail: Receiver<VecDeque<BeltItem>>,
}

struct Item {
	bulkiness: Time<f64>,
	price: f64,
}

async fn sim_main(sim: &Sim<GroceryStore>) {}

fn main() {
	tracing_subscriber::fmt()
		.with_max_level(tracing::Level::DEBUG)
		.with_target(false)
		.with_timer(model_time!("[{time:#2.3}]"))
		.init();

	let mut simulator = Simulator::default();

	simulator
		.run(sim_main)
		.expect("simulator deadlocked unexpectedly");
}
